shishi_prompt_password(3)

NAME
shishi_prompt_password - API function

SYNOPSIS
#include <shishi.h>

int shishi_prompt_password(Shishi * handle, char ** s, const char * format, ...);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

char ** s
    pointer to newly allocated output string with read password.

const char * format
    printf(3) style format string. @...: printf(3) style arguments.

...

DESCRIPTION
Format and print a prompt, and read a password from user. The password is possibly converted (e.g., converted from Latin-1 to UTF-8, or processed using Stringprep profile) following any "stringprocess" keywords in configuration files.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.